package logo

import hevs.graphics.TurtleGraphics

import java.awt.Color

object TestLogo {
  def drawCircle(turtle: TurtleGraphics, radius: Double, resolution: Int = 24): Unit = {
    val angle: Double = 360.0 / resolution
    val side: Double = radius * math.sin(angle * math.Pi / 180)
    turtle.forward(-side / 2)
    for (_: Int <- 0 until resolution) {
      turtle.forward(side)
      turtle.turn(angle)
    }
  }

  def main(args: Array[String]): Unit = {
    val turtle: TurtleGraphics = new TurtleGraphics(600, 600)
    turtle.drawLine(150, 300, 450, 300)

    turtle.penUp()
    turtle.jump(300, 300)
    turtle.setAngle(0)
    turtle.forward(150 * math.sqrt(3) / 2)
    turtle.turn(150)
    turtle.penDown()
    for (_: Int <- 0 until 3) {
      turtle.forward(300)
      turtle.turn(120)
    }

    turtle.jump(450, 300)
    turtle.setAngle(90)
    turtle.setColor(Color.RED)
    drawCircle(turtle, 150)
  }
}
